GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

List of all members
OGRSFDriverRegistrar Class Reference

LEGACY class. More...

`#include <ogrsf_frmts.h>`

## Detailed Description

LEGACY class.

Use GDALDriverManager in your new code ! This class may be removed in a later release.

Singleton manager for OGRSFDriver instances that will be used to try and open datasources. Normally the registrar is populated with standard drivers using the OGRRegisterAll() function and does not need to be directly accessed. The driver registrar and all registered drivers may be cleaned up on shutdown using OGRCleanupAll().

Deprecated:

The documentation for this class was generated from the following files:

- ogrsf_frmts.h
- ogrsfdriverregistrar.cpp

Generated for GDAL by 1.8.9.1.